function tab=arbitrary(A,B,opt,scal,tcomm)
%generates a stochastic portrait of a limit set with 
%arbitrary ta,tb, and tcommutator finding tab in the process
%e.g. arbitrary(2,2,0,1,-2);
ta=A;
tb=B;
p=-ta*tb;
q=ta^2+tb^2-tcomm-2;
if opt
    tab=(-p+sqrt(p^2-4*q))/2;
else
    tab=(-p-sqrt(p^2-4*q))/2;
end
qFstochastic(A,B,20,1,1100,scal,2,2,tab);
