function [s,a]=recurscoeffs(stps,opt)
%opt=0 f==2 root 1 f==-2 2 non free f==2 3 non free f==-2
syms ta
a=cell(1,stps+1);
a{1}=2; % This is TB
tic;
if opt<2
    a{2}=ta+2i; %This is TaB
else
    a{2}=ta+sqrt(2)*1i;
end;    
for i=3:stps+1
    %a{i}=expand(ta*a{i-1}-a{i-2}); % Ta^(i)B = Ta.Ta^(i-1)B-Ta^(i-2)B
    a{i}=(ta*a{i-1}-a{i-2}); % Ta^(i)B = Ta.Ta^(i-1)B-Ta^(i-2)B
end
if mod(opt,2)==0
    f0=factor(a{stps+1}-2)
else
    f0=factor(a{stps+1}+2)
end
f=symfun(a{stps+1},ta); % Make it a function
if mod(opt,2)==0
    
    s=eval(vpasolve(f==2,ta)); %Solve to get the roots of f=2
else
    s=eval(vpasolve(f==-2,ta));
end
for i=1:stps
    fprintf('%d %4.8f %4.8f\n',i,real(s(i)),imag(s(i)));
end

