function e=tracepqs(p,q,opt,prt,tb,sugg)
%opt=0 f==2 root 1 f==-2 2 non free f==2 3 non free f==-2
if nargin<5
    tb=2;
end
syms t
g=gcd(p,q);
p=p/g;
q=q/g;
s=fareyseq(p,q);
t0=t;
opt1=(opt>=2);
if opt<2
    t1=t+2i;
else
    t1=t+sqrt(2)*1i;
end
t2=2;
if tb~=2
    t1=(t*tb+sqrt(t^2*(tb^2-4)-4*tb^2+8*opt1))/2; %This is TaB
    t2=tb;
end
for i=1:length(s)
    if s(i)==0
       h=t1*t0-t2;
       t2=t1;
       t1=h;       
    else
       h=t1*t2-t0;
       t0=t1;
       t1=h;       
    end
end
%c=expand(t1); %Expand it into polynomial form
f=symfun(t1,t); %Make it into a function we can solve
if mod(opt,2)==0
   e=eval(vpasolve(f==2,t,sugg)); %Solve it for f=2
else
   e=eval(vpasolve(f==-2,t,sugg));  
end
%q=q/gcd(p,q);
% if prt
%     t=zeros(length(e),3);
%     for i=1:q
%         t(i,1)=i;
%         t(i,2)=real(e(i));
%         t(i,3)=imag(e(i));
%     end
%     t=sortrows(t,2);
%     for i=1:q
%         if t(i,3)>=0
%             fprintf('%d\t%4.8f+%4.8fi\n',t(i,1),t(i,2),t(i,3));
%         else
%             fprintf('%d\t%4.8f%4.8fi\n',t(i,1),t(i,2),t(i,3));
%         end
%     end
    
%end

function s=fareyseq(p,q)
p=p/gcd(p,q);
q=q/gcd(p,q);
s=[];
p0=0;
q0=1;
p1=1;
q1=0;
ph=p0+p1;
qh=q0+q1;
while p~=ph || q~=qh
    if ph/qh>p/q
        p1=ph;
        q1=qh;
        ph=ph+p0;
        qh=qh+q0;
        s=[s 0];
    else
        p0=ph;
        q0=qh;
        ph=ph+p1;
        qh=qh+q1;
        s=[s 1];
    end
end